Support » Plugin: Activity Reactions For Buddypress » PHP7 Serious Compatibility Problems

  • Resolved jscmal

    (@jscmal)


    Hi,
    I see that your plugin has serious problems with PHP7. you should reconsider the code used.

    Warning: Declaration of TT_Example_List_Table_smiley::prepare_items($type, $id) should be compatible with WP_List_Table::prepare_items() in /XXXX/wp-content/plugins/activity-reactions-for-buddypress/class/class.php on line 592

    Warning: Declaration of TT_Example_List_Table_smiley::get_sortable_columns($type) should be compatible with WP_List_Table::get_sortable_columns() in /XXXX/wp-content/plugins/activity-reactions-for-buddypress/class/class.php on line 592

    I hope this can help. I would use PHP7 soon

    Kind Regards

    G.Aloe

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author arete-it

    (@arete-it)

    Hello,

    Thank you for reporting this. Actually these are wordpress warnings. Its very normal in few cases. But we will work something out for this. Thanks again.

    Regards

    Plugin Author arete-it

    (@arete-it)

    Hello,

    We have updated our code to fix that issue. You can update to the latest version and let us know. We are not closing this support topic till then.

    Cheers

    Hi, Seems that it works.

    another things you should do is that when the plugin is uninstalled it could remove also the DB Table. it is a good thing.

    Plugin Author arete-it

    (@arete-it)

    Hello,

    Thank you for your feedback. Its good to know its working for you now. Well we kept that on purpose but sure we can consider that.

    Regards

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘PHP7 Serious Compatibility Problems’ is closed to new replies.